Subject: Re: [PATCH 16/16] dma-mapping: use exact allocation in dma_alloc_contiguous

From: 'Christoph Hellwig' <[email-masked]>
Date: Fri, 14 Jun 2019 17:08:27 +0200

On Fri, Jun 14, 2019 at 04:05:33PM +0100, Robin Murphy wrote:
> That said, I don't believe this particular patch should make any 
> appreciable difference - alloc_pages_exact() is still going to give back 
> the same base address as the rounded up over-allocation would, and 
> PAGE_ALIGN()ing the size passed to get_order() already seemed to be 
> pointless.

True, we actually do get the right alignment just about anywhere.
Not 100% sure about the various static pool implementations, but we
can make sure if any didn't we'll do that right thing once those
get consolidated.